/*
 * \file IfgShiftTest.cc
 * \brief unit test for IfgShift operator
 * \author Maciek Smuga-Otto <maciek@ssec.wisc.edu>
 *
 *  \version $Id: IfgShiftTest.cc,v 1.23.4.1 2006/02/27 21:20:33 graemem Exp $
 *
 *  \par Copyright:
 *  \verbatim
 *
 *  Copyright UW/SSEC, ALL RIGHTS RESERVED, 2004
 *  Space Science and Engineering Center
 *  University of Wisconsin - Madison, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  \endverbatim
 */


#include <iostream> // std::cerr
#include <complex>
#include <boost/array.hpp>

#include "IfgShift.hxx"

using namespace gips;
using namespace boost;
using namespace std;

typedef array<complex<float>, 8192> MyArray;
typedef IfgShift< MyArray, MyArray > MyIfgShift;

void livenessTest()
{
    MyArray in, out;
    fill(in.begin(), in.end(), 1.0);
    fill(out.begin(), out.end(), 0.0);
    
    MyIfgShift::Ports init_ports( &in, &out );
    
    MyIfgShift stage( init_ports );
    stage();
}; 


int main()
{
    livenessTest();
    return(0);
}

